---
title: RTCError.sentAlert
slug: Web/API/RTCError/sentAlert
tags:
  - API
  - DTLS
  - Error
  - Networking
  - Property
  - RTCError
  - Read-only
  - Reference
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - sentAlert
---
<p>{{APIRef("WebRTC")}}</p>

<p>The read-only <code><strong>sentAlert</strong></code> property in an {{domxref("RTCError")}} object specifies the {{Glossary("DTLS")}} alert number occurred while sending data to the remote peer, if the error represents an outbound DTLS error.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">let <em>sentAlert</em> = <em>rtcError</em>.sentAlert;</pre>

<h3 id="Value">Value</h3>

<p>An unsigned integer value providing the DTLS alert number corresponding to the DTLS error which was sent to the remote peer, as represented by this <code>RTCError</code> object. This property is <code>null</code> if {{domxref("RTCError.errorDetail", "errorDetail")}} isn't <code>dtls-failure</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcerror-sentalert', 'RTCError.sentAlert')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCError.sentAlert")}}</p>
